
From: Andi Kleen <ak@suse.de>

Make the "hm, page reserved twice" message dependent on CONFIG_DEBUG_BOOTMEM.


---

 mm/bootmem.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN mm/bootmem.c~remove-bootmem-warnings mm/bootmem.c
--- 25/mm/bootmem.c~remove-bootmem-warnings	2004-02-16 10:30:13.000000000 -0800
+++ 25-akpm/mm/bootmem.c	2004-02-16 10:30:13.000000000 -0800
@@ -91,8 +91,11 @@ static void __init reserve_bootmem_core(
 	if (end > bdata->node_low_pfn)
 		BUG();
 	for (i = sidx; i < eidx; i++)
-		if (test_and_set_bit(i, bdata->node_bootmem_map))
+		if (test_and_set_bit(i, bdata->node_bootmem_map)) {
+#ifdef CONFIG_DEBUG_BOOTMEM
 			printk("hm, page %08lx reserved twice.\n", i*PAGE_SIZE);
+#endif
+		}
 }
 
 static void __init free_bootmem_core(bootmem_data_t *bdata, unsigned long addr, unsigned long size)

_
